protocol.h File Reference

MPD client library. More...

Go to the source code of this file.

## Enumerations

enum

mpd_server_error {
MPD_SERVER_ERROR_UNK = -1, MPD_SERVER_ERROR_NOT_LIST = 1, MPD_SERVER_ERROR_ARG = 2, MPD_SERVER_ERROR_PASSWORD = 3,
MPD_SERVER_ERROR_PERMISSION = 4, MPD_SERVER_ERROR_UNKNOWN_CMD = 5, MPD_SERVER_ERROR_NO_EXIST = 50, MPD_SERVER_ERROR_PLAYLIST_MAX = 51,
MPD_SERVER_ERROR_SYSTEM = 52, MPD_SERVER_ERROR_PLAYLIST_LOAD = 53, MPD_SERVER_ERROR_UPDATE_ALREADY = 54, MPD_SERVER_ERROR_PLAYER_SYNC = 55,
MPD_SERVER_ERROR_EXIST = 56
}

## Detailed Description

MPD client library.

Do not include this header directly. Use mpd/client.h or mpd/parser.h instead.

Definition in file protocol.h.

## Enumeration Type Documentation

enum mpd_server_error

Enumerator
MPD_SERVER_ERROR_UNK |
MPD_SERVER_ERROR_NOT_LIST |
MPD_SERVER_ERROR_ARG |
MPD_SERVER_ERROR_PASSWORD |
MPD_SERVER_ERROR_PERMISSION |
MPD_SERVER_ERROR_UNKNOWN_CMD |
MPD_SERVER_ERROR_NO_EXIST |
MPD_SERVER_ERROR_PLAYLIST_MAX |
MPD_SERVER_ERROR_SYSTEM |
MPD_SERVER_ERROR_PLAYLIST_LOAD |
MPD_SERVER_ERROR_UPDATE_ALREADY |
MPD_SERVER_ERROR_PLAYER_SYNC |
MPD_SERVER_ERROR_EXIST |

Definition at line 39 of file protocol.h.